Bug 330521 - [ia64-xen][storage][hts-5.1.4][RHEL5.1] - Storage is FAIL due to the failure swapoff device
[ia64-xen][storage][hts-5.1.4][RHEL5.1] - Storage is FAIL due to the failure ...
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests) (Show other bugs)
ia64 Linux
low Severity low
: ---
: ---
Assigned To: YangKun
Depends On:
  Show dependency treegraph
Reported: 2007-10-13 04:46 EDT by Satyabrata Maitra
Modified: 2008-07-16 18:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-01 04:03:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
required files for ia64-xen (920.00 KB, application/x-tar)
2007-10-13 04:46 EDT, Satyabrata Maitra
no flags Details

  None (edit)
Description Satyabrata Maitra 2007-10-13 04:46:30 EDT
Description of problem:
When tested this hardware for hts-5.1.4, for ia64 arch, with RHEL5.1-Server, its
FAILED, due to the error showing "can not swapoff sda3". The required files are
attached here with this bug.

Version-Release number of selected component (if applicable):
Tree followed RHEL5.1-Server-20071011.0

How reproducible:
Performed once, and reproduced.

FYI : When tested it with hts-5.1.1 in the same system, that time storage test
was PASS including its info test.

Steps to Reproduce:
Actual results:
Its Fail

Expected results:
It should PASS

Additional info:
Comment 1 Satyabrata Maitra 2007-10-13 04:46:30 EDT
Created attachment 226331 [details]
required files for ia64-xen
Comment 2 YangKun 2007-10-25 11:17:38 EDT
Error is "swapoff: /dev/sda3: Cannot allocate memory"

the reason is because this system is runing out of memory!

only about 400MB RAM available on the system, and only 4MB free:
MemTotal:       431104 kB
MemFree:          4768 kB
Buffers:         11008 kB
Cached:          81888 kB
SwapCached:      56384 kB
Active:         118832 kB
Inactive:        49872 kB
HighTotal:           0 kB
HighFree:            0 kB
LowTotal:       431104 kB
LowFree:          4768 kB
SwapTotal:     2097120 kB
SwapFree:      1854720 kB
Dirty:           18032 kB
Writeback:           0 kB
AnonPages:       75792 kB
Mapped:          30192 kB
Slab:            44992 kB
PageTables:       9024 kB
NFS_Unstable:        0 kB
Bounce:              0 kB
CommitLimit:   2312672 kB
Committed_AS:   746976 kB
VmallocTotal: 137430563184 kB
VmallocUsed:     22736 kB
VmallocChunk: 137430539024 kB

but there are more than 200MB swap space are in use:
Filename                                Type            Size    Used    Priority
/dev/sda3                               partition       2097120 242400  -1

so swapoff of course will get the "Cannot allocate memory" without any doubt.

The test machine was running on a xen kernel and seems there're some domU guests
running. could you please confirm ? If yes, then could you please shutdown some
domU and release some memory for dom0 ? make sure there are enough free
memory(more than 500MB) available on the machine(for dom0), and then could you
please re-run the STORAGE test ?

Comment 3 Yan Tian 2007-11-01 03:58:03 EDT
This bug could not be reproduced with both hts-5.1.4-el5 and hts-5.1.8-el5 in
RHEL5.1-Server-20071017.0 ia64_xen system. So resolved it.

Note You need to log in before you can comment on or make changes to this bug.